DELETE
/v1/listings/{uuid}
const url = 'https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000';const options = { method: 'DELETE', headers: {'HttpHeaders.AUTHORIZATION': 'eyJhbGciOiJIUzI1NiIsInR5...'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://developer.kleinanzeigen.de/api/goods/v1/listings/123e4567-e89b-12d3-a456-426614174000 \ --header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...'Marks the listing as deleted and updates the publication state of all connected publications
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” uuid
required
string
Example
123e4567-e89b-12d3-a456-426614174000Header Parameters
Section titled “Header Parameters ” HttpHeaders.AUTHORIZATION
required
Responses
Section titled “ Responses ”Listing deleted successfully
Listing not found
Media type application/json
object
type
string format: uri
title
string | null
status
integer format: int32
detail
string | null
instance
string | null format: uri
properties
object | null
Example
{ "type": "about:blank", "status": 404, "title": "Not Found", "detail": "Listing not found", "instance": "/api/v1/listings/123e4567-e89b-12d3-a456-426614174000", "localizedTitle": "", "localizedDetail": "", "localizedMessage": ""}